import {
    service
} from '../utils/request';

//获取指令列表
export function getYjxxTj(params = {}) {
    return service({
        url: '/mosty-yjzl/tbYjxx/getYjxxTj',
        method: 'get',
        params,
    });
};

// 	查询预警列表-分页
export function getPageList(data = {}) {
    return service({
        url: `/mosty-yjzl/tbYjxx/getPageList`,
        method: 'post',
        data
    });
};

// 通过证件号码查询人员的预警信息 
export function getSyrkYjxx(params = {}) {
    return service({
        url: '/mosty-yjzl/tbYjxx/getYjgj',
        method: 'get',
        params,
    });
};

// 查询预警详情
export function getInfo(id) {
    return service({
        url: `/mosty-yjzl/tbYjxx/getInfo/${id}`,
        method: 'get',
    });
};

// APP端单人、单车预警统计 
export function getStatistics(params = {}) {
    return service({
        url: '/mosty-yjzl/tbYjxx/getStatistics',
        method: 'get',
        params,
    });
};
//
export function getListHotMap(params = {}) {
    return service({
        url: '/mosty-yjzl/tbYjxx/getListHotMap',
        method: 'get',
        params,
    });
};

/**
 * 各时段预警
 * @param {*} params
 * @returns
 */
export const getGsdYj = (params = {}) => {
    return service({
        url: "/mosty-yjzl/tbYjxx/gsdyj",
        method: "GET",
        params
    });
};
/**
 * 感知源预警排名
 * @param {*} params
 * @returns
 */
export const getGzyYj = (params = {}) => {
    return service({
        url: "/mosty-yjzl/yjzx/gzyyjpm",
        method: "GET",
        params
    });
};

/**
 * 人员预警排名
 * @param {*} params
 * @returns
 */
export const getManRankYj = (params = {}) => {
    return service({
        url: "/mosty-yjzl/yjzx/ryyjpm",
        method: "GET",
        params
    });
};

/**
 * 人员预警排名
 * @param {*} params
 * @returns
 */
export const getYjxxTjYjlx = (params = {}) => {
    return service({
        url: "/mosty-yjzl/tbYjxx/getYjxxTjYjlx",
        method: "GET",
        params
    });
};

// 派出所预警排名 
export const pcsyjpm = (params = {}) => {
    return service({
        url: "/mosty-yjzl/yjzx/pcsyjpm",
        method: "GET",
        params
    });
};


// 分页查询用户信息
export function selectPage(params = {}) {
    return service({
        url: '/mosty-base/sysUser/selectPage',
        method: 'get',
        params,
    });
};

// 根据部门编码分页查询当前及下级部门信息 
export function selectNextPage(params = {}) {
    return service({
        url: '/mosty-base/sysDept/selectNextPage',
        method: 'get',
        params,
    });
};

// APP预警转为指令
export function yjConvertZl(data = {}) {
    return service({
        url: '/mosty-yjzl/tbYjxx/yjConvertZl',
        method: 'POST',
        data,
    });
};